keybinds:
    unbind: true
    normal:
        - action: [SwitchToMode: Locked,]
          key: [Alt: 'g',]
        - action: [SwitchToMode: Pane,]
          key: [Alt: 'p',]
        - action: [SwitchToMode: Resize,]
          key: [Alt: 'r',]
        - action: [SwitchToMode: Tab,]
          key: [Alt: 't',]
        - action: [SwitchToMode: Scroll,]
          key: [Alt: 's',]
        - action: [SwitchToMode: Session,]
          key: [Alt: 'o',]
        - action: [Quit,]
          key: [Ctrl: 'q',]
        - action: [NewPane: ]
          key: [ Ctrl: ',',]
        - action: [MoveFocusOrTab: Left,]
          key: [ Alt: 'h',]
        - action: [MoveFocusOrTab: Right,]
          key: [ Alt: 'l',]
        - action: [MoveFocus: Down,]
          key: [ Alt: 'j',]
        - action: [MoveFocus: Up,]
          key: [ Alt: 'k',]
        - action: [FocusPreviousPane,]
          key: [ Ctrl: 'u']
        - action: [FocusNextPane,]
          key: [ Ctrl: 'i',]
    locked:
        - action: [SwitchToMode: Normal,]
          key: [Alt: 'g',]
    resize:
        - action: [SwitchToMode: Normal,]
          key: [Alt: 'r', Char: "\n", Char: ' ',]
        - action: [SwitchToMode: Locked,]
          key: [Alt: 'g',]
        - action: [SwitchToMode: Pane,]
          key: [Alt: 'p',]
        - action: [SwitchToMode: Tab,]
          key: [Alt: 't',]
        - action: [SwitchToMode: Scroll,]
          key: [Alt: 's',]
        - action: [SwitchToMode: Session,]
          key: [Alt: 'o',]
        - action: [Quit]
          key: [Ctrl: 'q']
        - action: [Resize: Left,]
          key: [Char: 'h', Left,]
        - action: [Resize: Down,]
          key: [Char: 'j', Down,]
        - action: [Resize: Up,]
          key: [Char: 'k', Up, ]
        - action: [Resize: Right,]
          key: [Char: 'l', Right,]
        - action: [NewPane: ,]
          key: [ Alt: 'n',]
        - action: [MoveFocus: Left,]
          key: [ Alt: 'h',]
        - action: [MoveFocus: Right,]
          key: [ Alt: 'l',]
        - action: [MoveFocus: Down,]
          key: [ Alt: 'j',]
        - action: [MoveFocus: Up,]
          key: [ Alt: 'k',]
        - action: [FocusPreviousPane,]
          key: [ Alt: '[',]
        - action: [FocusNextPane,]
          key: [ Alt: ']',]
    pane:
        - action: [SwitchToMode: Normal,]
          key: [Alt: 'p', Char: "\n", Char: ' ',]
        - action: [SwitchToMode: Locked,]
          key: [Alt: 'g',]
        - action: [SwitchToMode: Resize,]
          key: [Alt: 'r',]
        - action: [SwitchToMode: Tab,]
          key: [Alt: 't',]
        - action: [SwitchToMode: Scroll,]
          key: [Alt: 's',]
        - action: [SwitchToMode: Session,]
          key: [Alt: 'o',]
        - action: [Quit,]
          key: [Ctrl: 'q',]
        - action: [MoveFocus: Left,]
          key: [ Char: 'h', Left,]
        - action: [MoveFocus: Right,]
          key: [ Char: 'l', Right,]
        - action: [MoveFocus: Down,]
          key: [ Char: 'j', Down,]
        - action: [MoveFocus: Up,]
          key: [ Char: 'k', Up,]
        - action: [SwitchFocus,]
          key: [Char: 'p']
        - action: [NewPane: ,]
          key: [Char: 'n', Alt: 'n',]
        - action: [NewPane: Down,]
          key: [Char: 'd',]
        - action: [NewPane: Right,]
          key: [Char: 'r',]
        - action: [CloseFocus,]
          key: [Char: 'x',]
        - action: [ToggleFocusFullscreen,]
          key: [Char: 'f',]
        - action: [FocusPreviousPane,]
          key: [ Alt: '[',]
        - action: [FocusNextPane,]
          key: [ Alt: ']',]
    tab:
        - action: [SwitchToMode: Normal,]
          key: [Alt: 't', Char: "\n", Char: ' ',]
        - action: [SwitchToMode: RenameTab, TabNameInput: [0],]
          key: [Char: 'r']
        - action: [SwitchToMode: Locked,]
          key: [Alt: 'g',]
        - action: [SwitchToMode: Pane,]
          key: [Alt: 'p',]
        - action: [SwitchToMode: Resize,]
          key: [Alt: 'r',]
        - action: [SwitchToMode: Scroll,]
          key: [Alt: 's',]
        - action: [SwitchToMode: Session,]
          key: [Alt: 'o',]
        - action: [Quit,]
          key: [Ctrl: 'q',]
        - action: [FocusPreviousPane,]
          key: [ Alt: '[',]
        - action: [FocusNextPane,]
          key: [ Alt: ']',]
        - action: [GoToPreviousTab,]
          key: [ Char: 'h', Left, Up, Char: 'k',]
        - action: [GoToNextTab,]
          key: [ Char: 'l', Right,Down, Char: 'j']
        - action: [NewTab,]
          key: [ Char: 'n',]
        - action: [CloseTab,]
          key: [ Char: 'x',]
        - action: [ToggleActiveSyncTab]
          key: [Char: 's']
        - action: [MoveFocus: Left,]
          key: [ Alt: 'h',]
        - action: [MoveFocus: Right,]
          key: [ Alt: 'l',]
        - action: [MoveFocus: Down,]
          key: [ Alt: 'j',]
        - action: [MoveFocus: Up,]
          key: [ Alt: 'k',]
        - action: [GoToTab: 1,]
          key: [ Char: '1',]
        - action: [GoToTab: 2,]
          key: [ Char: '2',]
        - action: [GoToTab: 3,]
          key: [ Char: '3',]
        - action: [GoToTab: 4,]
          key: [ Char: '4',]
        - action: [GoToTab: 5,]
          key: [ Char: '5',]
        - action: [GoToTab: 6,]
          key: [ Char: '6',]
        - action: [GoToTab: 7,]
          key: [ Char: '7',]
        - action: [GoToTab: 8,]
          key: [ Char: '8',]
        - action: [GoToTab: 9,]
          key: [ Char: '9',]
    scroll:
        - action: [SwitchToMode: Normal,]
          key: [Alt: 'r', Alt: 's', Char: ' ', Char: "\n",]
        - action: [SwitchToMode: Locked,]
          key: [Alt: 'g',]
        - action: [SwitchToMode: Pane,]
          key: [Alt: 'p',]
        - action: [SwitchToMode: Tab,]
          key: [Alt: 't',]
        - action: [SwitchToMode: Session,]
          key: [Alt: 'o',]
        - action: [Quit,]
          key: [Ctrl: 'q',]
        - action: [ScrollDown,]
          key: [Char: 'j', Down,]
        - action: [ScrollUp,]
          key: [Char: 'k', Up,]
        - action: [PageScrollDown,]
          key: [Ctrl: 'f', PageDown, Right, Char: 'l',]
        - action: [PageScrollUp,]
          key: [Ctrl: 'b', PageUp, Left, Char: 'h',]
        - action: [NewPane: ,]
          key: [ Alt: 'n',]
        - action: [MoveFocus: Left,]
          key: [ Alt: 'h',]
        - action: [MoveFocus: Right,]
          key: [ Alt: 'l',]
        - action: [MoveFocus: Down,]
          key: [ Alt: 'j',]
        - action: [MoveFocus: Up,]
          key: [ Alt: 'k',]
        - action: [FocusPreviousPane,]
          key: [ Alt: '[',]
        - action: [FocusNextPane,]
          key: [ Alt: ']',]
    renametab:
        - action: [SwitchToMode: Normal,]
          key: [Alt: 'r', Alt: 's', Char: ' ',]
        - action: [SwitchToMode: Tab,]
          key: [Char: "\n",]
        - action: [TabNameInput: [27] , SwitchToMode: Tab,]
          key: [Esc,]
        - action: [NewPane: ,]
          key: [ Alt: 'n',]
        - action: [MoveFocus: Left,]
          key: [ Alt: 'h',]
        - action: [MoveFocus: Right,]
          key: [ Alt: 'l',]
        - action: [MoveFocus: Down,]
          key: [ Alt: 'j',]
        - action: [MoveFocus: Up,]
          key: [ Alt: 'k',]
        - action: [FocusPreviousPane,]
          key: [ Alt: '[',]
        - action: [FocusNextPane,]
          key: [ Alt: ']',]
    session:
        - action: [SwitchToMode: Locked,]
          key: [Alt: 'g']
        - action: [SwitchToMode: Resize,]
          key: [Alt: 'r',]
        - action: [SwitchToMode: Pane,]
          key: [Alt: 'p',]
        - action: [SwitchToMode: Tab,]
          key: [Alt: 't',]
        - action: [SwitchToMode: Normal,]
          key: [Alt: 'o', Char: "\n", Char: ' ',]
        - action: [SwitchToMode: Scroll,]
          key: [Alt: 's']
        - action: [Quit,]
          key: [Ctrl: 'q',]
        - action: [Detach,]
          key: [Char: 'd',]

# Choose what to do when zellij receives SIGTERM, SIGINT, SIGQUIT or SIGHUP
# eg. when terminal window with an active zellij session is closed
# Options:
#   - detach (Default)
#   - quit
#on_force_close: quit
